Bug 1411189 - ibus-engine-chewing killed by SIGSEGV when receiving KP_Insert
Summary: ibus-engine-chewing killed by SIGSEGV when receiving KP_Insert
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-chewing
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ed48fea54a93ce0826c055924a7...
: 1302746 1447537 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 01:35 UTC by Chen_Min_Chin
Modified: 2017-08-20 23:52 UTC (History)
6 users (show)

Fixed In Version: ibus-chewing-1.6.1-1.fc26 ibus-chewing-1.6.1-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-20 18:26:54 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (32.24 KB, text/plain)
2017-01-09 01:35 UTC, Chen_Min_Chin
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-09 01:35 UTC, Chen_Min_Chin
no flags Details
File: core_backtrace (6.88 KB, text/plain)
2017-01-09 01:35 UTC, Chen_Min_Chin
no flags Details
File: dso_list (8.71 KB, text/plain)
2017-01-09 01:35 UTC, Chen_Min_Chin
no flags Details
File: environ (1.11 KB, text/plain)
2017-01-09 01:35 UTC, Chen_Min_Chin
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-09 01:35 UTC, Chen_Min_Chin
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-09 01:35 UTC, Chen_Min_Chin
no flags Details
File: maps (59.09 KB, text/plain)
2017-01-09 01:35 UTC, Chen_Min_Chin
no flags Details
File: mountinfo (3.70 KB, text/plain)
2017-01-09 01:35 UTC, Chen_Min_Chin
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-09 01:35 UTC, Chen_Min_Chin
no flags Details
File: open_fds (1.08 KB, text/plain)
2017-01-09 01:35 UTC, Chen_Min_Chin
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-01-09 01:35 UTC, Chen_Min_Chin
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-01-09 01:35 UTC, Chen_Min_Chin
no flags Details

Description Chen_Min_Chin 2017-01-09 01:35:04 UTC
Version-Release number of selected component:
ibus-chewing-1.5.1-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-chewing --ibus -v 7
crash_function: vasprintf
executable:     /usr/libexec/ibus-engine-chewing
global_pid:     2467
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 vasprintf at /usr/include/bits/stdio2.h:210
 #5 g_strdup_vprintf at gstrfuncs.c:514
 #7 mkdg_logv_domain at /usr/src/debug/ibus-chewing-1.5.1-Source/src/MakerDialogUtil.c:54
 #9 mkdg_log_domain at /usr/src/debug/ibus-chewing-1.5.1-Source/src/MakerDialogUtil.c:79
 #10 ibus_chewing_engine_process_key_event at /usr/src/debug/ibus-chewing-1.5.1-Source/src/IBusChewingEngine-input-events.c:7
 #11 _ibus_marshal_BOOLEAN__UINT_UINT_UINT at ibusmarshalers.c:290
 #16 ibus_engine_service_method_call at ibusengine.c:883
 #17 call_in_idle_cb at gdbusconnection.c:4836
 #23 ibus_main at ibusshare.c:299
 #24 start_component at /usr/src/debug/ibus-chewing-1.5.1-Source/src/main.c:122

Potential duplicate: bug 1389221

Comment 1 Chen_Min_Chin 2017-01-09 01:35:10 UTC
Created attachment 1238536 [details]
File: backtrace

Comment 2 Chen_Min_Chin 2017-01-09 01:35:11 UTC
Created attachment 1238537 [details]
File: cgroup

Comment 3 Chen_Min_Chin 2017-01-09 01:35:13 UTC
Created attachment 1238538 [details]
File: core_backtrace

Comment 4 Chen_Min_Chin 2017-01-09 01:35:14 UTC
Created attachment 1238539 [details]
File: dso_list

Comment 5 Chen_Min_Chin 2017-01-09 01:35:16 UTC
Created attachment 1238540 [details]
File: environ

Comment 6 Chen_Min_Chin 2017-01-09 01:35:17 UTC
Created attachment 1238541 [details]
File: exploitable

Comment 7 Chen_Min_Chin 2017-01-09 01:35:19 UTC
Created attachment 1238542 [details]
File: limits

Comment 8 Chen_Min_Chin 2017-01-09 01:35:21 UTC
Created attachment 1238543 [details]
File: maps

Comment 9 Chen_Min_Chin 2017-01-09 01:35:23 UTC
Created attachment 1238544 [details]
File: mountinfo

Comment 10 Chen_Min_Chin 2017-01-09 01:35:24 UTC
Created attachment 1238545 [details]
File: namespaces

Comment 11 Chen_Min_Chin 2017-01-09 01:35:25 UTC
Created attachment 1238546 [details]
File: open_fds

Comment 12 Chen_Min_Chin 2017-01-09 01:35:27 UTC
Created attachment 1238547 [details]
File: proc_pid_status

Comment 13 Chen_Min_Chin 2017-01-09 01:35:28 UTC
Created attachment 1238548 [details]
File: var_log_messages

Comment 14 Ding-Yi Chen 2017-08-03 06:10:54 UTC
This occurs when KP_Insert is entered

Comment 15 Ding-Yi Chen 2017-08-03 08:00:53 UTC
https://github.com/definite/ibus-chewing/pull/117

Comment 16 Fedora Update System 2017-08-07 03:36:38 UTC
ibus-chewing-1.6.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9255703459

Comment 17 Fedora Update System 2017-08-08 03:21:56 UTC
ibus-chewing-1.6.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9255703459

Comment 18 Ding-Yi Chen 2017-08-10 00:39:42 UTC
*** Bug 1447537 has been marked as a duplicate of this bug. ***

Comment 19 Ding-Yi Chen 2017-08-10 00:58:34 UTC
*** Bug 1302746 has been marked as a duplicate of this bug. ***

Comment 20 Fedora Update System 2017-08-12 01:29:01 UTC
ibus-chewing-1.6.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-59124943f7

Comment 21 Fedora Update System 2017-08-13 04:05:29 UTC
ibus-chewing-1.6.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4e2b9a7bc7

Comment 22 Fedora Update System 2017-08-20 18:26:54 UTC
ibus-chewing-1.6.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-08-20 23:52:18 UTC
ibus-chewing-1.6.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.